<?php
/**
 * Createing a bog pannel for customizer
 *
 *
 */
$categories = get_categories(array('hide_empty' => 0));
foreach ($categories as $category) {
	$cat[$category->term_id] = $category->cat_name;
}
/****************************/
// START BLOG SECTION FOR HOME PAGE
/*============BLOG PANEL============*/
$wp_customize->add_section(
	'blog_area',
	array(
		'title' => __( 'Blog Section', 'luzuk-premium' ),
		'panel' => 'luzuk_premium_home_panel',
     	//'priority' => '50',
	)
);
//ENABLE/DISABLE BLOG SECTION
$wp_customize->add_setting(
	'blog_section_disable',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default' => 'off'
	)
);
$wp_customize->add_control(
	new luzuk_Switch_Control(
		$wp_customize,
		'blog_section_disable',
		array(
			'settings'      => 'blog_section_disable',
			'section'       => 'blog_area',
			'label'         => __( 'Disable Section', 'luzuk-premium' ),
			'on_off_label'  => array(
				'on' => __( 'Yes', 'luzuk-premium' ),
				'off' => __( 'No', 'luzuk-premium' )
			)   
		)
	)
);

backgroundManager($wp_customize, 'blog', 'blog_area', $color='#fff', get_template_directory_uri().'/images/default-gray.png', 'img');


lzCustomLable($wp_customize, 'blog_area_blogsectionpadding', 'blog_area', 'Set Padding For Section:');

$wp_customize->add_setting(
    'blog_areaTpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '6em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'blog_areaTpadding',
    array(
        'settings'      => 'blog_areaTpadding',
        'section'       => 'blog_area',
        'type'          => 'text',
        'label'         => __( 'Section Top Padding', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'blog_areaBpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '5em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'blog_areaBpadding',
    array(
        'settings'      => 'blog_areaBpadding',
        'section'       => 'blog_area',
        'type'          => 'text',
        'label'         => __( 'Section Bottom Padding', 'luzuk-premium' )
    )
);

// $wp_customize->add_setting(
//     'blog_areaLpadding',
//     array(
//         'sanitize_callback' => 'luzuk_sanitize_text',
//         'default'           => __( '2em', 'luzuk-premium' )
//     )
// );
// $wp_customize->add_control(
//     'blog_areaLpadding',
//     array(
//         'settings'      => 'blog_areaLpadding',
//         'section'       => 'blog_area',
//         'type'          => 'text',
//         'label'         => __( 'Section Left Padding', 'luzuk-premium' )
//     )
// );
// $wp_customize->add_setting(
//     'blog_areaRpadding',
//     array(
//         'sanitize_callback' => 'luzuk_sanitize_text',
//         'default'           => __( '2em', 'luzuk-premium' )
//     )
// );
// $wp_customize->add_control(
//     'blog_areaRpadding',
//     array(
//         'settings'      => 'blog_areaRpadding',
//         'section'       => 'blog_area',
//         'type'          => 'text',
//         'label'         => __( 'Section Right Padding', 'luzuk-premium' )
//     )
// );


$wp_customize->add_setting(
	'blog_title_subtitle_heading',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text'
	)
);
$wp_customize->add_control(
	new luzuk_Customize_Heading(
		$wp_customize,
		'blog_title_subtitle_heading',
		array(
			'settings'      => 'blog_title_subtitle_heading',
			'section'       => 'blog_area',
			'label'         => __( 'Section Title', 'luzuk-premium' ),
		)
	)
);

$wp_customize->add_setting(
	'blog_title_title',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'LATEST POST', 'luzuk-premium' )
	)
);
$wp_customize->add_control(
	'blog_title_title',
	array(
		'settings'      => 'blog_title_title',
		'section'       => 'blog_area',
		'type'          => 'text',
		'label'         => __( 'Section Heading', 'luzuk-premium' )
	)
);

addColorPalatOption($wp_customize, 'blogarea_sectitle_color', 'blog_area', 'Section Heading Color', '#2b3f59');

addColorPalatOption($wp_customize, 'blogarea_sectitlebrd_color', 'blog_area', 'Section Heading Border And Icon Color', '#ff9310');

//BLOG SETTINGS
$wp_customize->add_setting(
	'blog_post_count',
	array(
		'default'           => '4',
		'sanitize_callback' => 'luzuk_sanitize_choices'
	)
);
$wp_customize->add_control(
	new luzuk_Dropdown_Chooser(
		$wp_customize,
		'blog_post_count',
		array(
			'settings'      => 'blog_post_count',
			'section'       => 'blog_area',
			'label'         => __( 'Number of Posts to show', 'luzuk-premium' ),
			'choices'       => $luzuk_post_count_choice
		)
	)
);
$wp_customize->add_setting(
	'blog_cat_exclude',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text'
	)
);
$wp_customize->add_control(
	new luzuk_Customize_Checkbox_Multiple(
		$wp_customize,
		'blog_cat_exclude',
		array(
			'label' => __('Exclude Category from Blog Posts', 'luzuk-premium'),
			'section' => 'blog_area',
			'settings' => 'blog_cat_exclude',
			'choices' => $luzuk_cat
		)
	)
);
// END BLOG SECTION FOR HOME PAGE
/****************************/


// CREATING A BLOG SECTION IN CUSTOMIZER FOR BLOG PAGES
$wp_customize->add_section(
	'premium_blog_area',
	array(
		'title' => __( 'Blog Page Settings', 'luzuk-premium' ),
        // 'panel' => 'luzuk_premium_home_panel'
		'priority' =>19
	)
);

$wp_customize->add_setting('blog_categories_settings', array('sanitize_callback' => 'luzuk_sanitize_text'));
$wp_customize->add_control('blog_categories_settings', array(
    'settings' => 'blog_categories_settings',
    'label'    => __('Posts on Blog Page', 'luzuk-premium'),
    'section'  => 'lpremium_blog_area',
    'type'     => 'radio',
    'choices'  => array(
        '0' => __('Excerpts','luzuk-premium'),
        '1' => __('Full Posts','luzuk-premium'),
    ),
));
// ADDING THE CATEGORY TO SELECT
$wp_customize->add_setting('blog_categories', array('sanitize_callback' => 'luzuk_sanitize_text'));
$wp_customize->add_control(
	new luzuk_Customize_Checkbox_Multiple(
		$wp_customize,
		'blog_categories',
		array(
			'label' => __('Exclude Category from Blog Posts', 'luzuk-premium'),
			'section' => 'premium_blog_area',
			'settings' => 'blog_categories',
			'choices' => $cat
		)
	)
);

addColorPalatOption($wp_customize, 'blogarea_imghv_color', 'blog_area', 'Blog Image Hover Color', '#fddb1f');

addColorPalatOption($wp_customize, 'blogarea_datetext1_color', 'blog_area', 'Blog Date And Month Text Color', '#225985');

addColorPalatOption($wp_customize, 'blogarea_datetext1bg_color', 'blog_area', 'Blog Date background Color', '#fddb1f');

addColorPalatOption($wp_customize, 'blogarea_datetext1mbg_color', 'blog_area', 'Blog Month background Color', '#fff');

addColorPalatOption($wp_customize, 'blogarea_Title_color', 'blog_area', 'Blog Title Color', '#225985');

addColorPalatOption($wp_customize, 'blogarea_Titlehover_color', 'blog_area', 'Blog Title Hover Color', '#fddb1f');

addColorPalatOption($wp_customize, 'blogarea_text_color', 'blog_area', 'Blog Text Color', '#4a4a4a');

addColorPalatOption($wp_customize, 'blogarea_datetext_color', 'blog_area', 'Button Text Color', '#4a4a4a');

addColorPalatOption($wp_customize, 'blogarea_datetexthv_color', 'blog_area', 'Button Text Hover Color', '#fff');

addColorPalatOption($wp_customize, 'blogarea_box_color', 'blog_area', 'Button background Color', '#f7f7f7');

addColorPalatOption($wp_customize, 'blogarea_boxhv_color', 'blog_area', 'Button Hover background Color', '#fddb1f');
